function onTalk()
	disableMovement()
	disableRetry()
	if not getFlag("ElderbugDMA") then
		move()
		say("CC_XELKHK_E_DM_A")
		setFlag("ElderbugDMA",true)
	end
	if not getFlag("ElderbugDMB") and getFlag("ElderbugDMA")  then
		move()
		say("CC_XELKHK_E_DM_B")
		setFlag("ElderbugDMB",true)
	end
	if not getFlag("ElderbugDMC") and getFlag("ElderbugDMClaw")  then
		move()
		say("CC_XELKHK_E_DM_C")
		setFlag("ElderbugDMC",true)
	end
	if not getFlag("ElderbugDMD") and getFlag("ElderbugDMCity") then
		move()
		say("CC_XELKHK_E_DM_D")
		setFlag("ElderbugDMD",true)
	end
	if not getFlag("ElderbugDME") and getFlag("ElderbugDMHeart") then
		move()
		say("CC_XELKHK_E_DM_E")
		setFlag("ElderbugDME",true)
	end
	if getFlag("ElderbugDMBlackEgg") then
		move()
		say("CC_XELKHK_E_DM_F")
	end
end

function move()
	walkTo(2348)
	player.Facing = getEnum("Celeste.Facings", "Left")
	wait(0.15)
end

function onEnd()
	enableMovement()
	enableRetry()
end